Index: uspace/lib/libc/include/ipc/console.h
===================================================================
--- uspace/lib/libc/include/ipc/console.h	(revision eacb957f6c30d6c807f9a5ca0a3e535e59262c52)
+++ uspace/lib/libc/include/ipc/console.h	(revision 245e8399f3d58ad45fc1730f6b948b33ae3ab8df)
@@ -43,5 +43,4 @@
 	CONSOLE_GET_COLOR_CAP,
 	CONSOLE_GET_EVENT,
-	CONSOLE_GET_POS,
 	CONSOLE_GOTO,
 	CONSOLE_CLEAR,
Index: uspace/lib/libc/include/ipc/devmap.h
===================================================================
--- uspace/lib/libc/include/ipc/devmap.h	(revision eacb957f6c30d6c807f9a5ca0a3e535e59262c52)
+++ uspace/lib/libc/include/ipc/devmap.h	(revision 245e8399f3d58ad45fc1730f6b948b33ae3ab8df)
@@ -43,23 +43,14 @@
 
 typedef enum {
-	DEV_HANDLE_NONE,
-	DEV_HANDLE_NAMESPACE,
-	DEV_HANDLE_DEVICE
-} devmap_handle_type_t;
-
-typedef enum {
 	DEVMAP_DRIVER_REGISTER = IPC_FIRST_USER_METHOD,
 	DEVMAP_DRIVER_UNREGISTER,
 	DEVMAP_DEVICE_REGISTER,
 	DEVMAP_DEVICE_UNREGISTER,
+	DEVMAP_DEVICE_GET_NAME,
 	DEVMAP_DEVICE_GET_HANDLE,
-	DEVMAP_NAMESPACE_GET_HANDLE,
-	DEVMAP_HANDLE_PROBE,
-	DEVMAP_NULL_CREATE,
-	DEVMAP_NULL_DESTROY,
-	DEVMAP_GET_NAMESPACE_COUNT,
-	DEVMAP_GET_DEVICE_COUNT,
-	DEVMAP_GET_NAMESPACES,
-	DEVMAP_GET_DEVICES
+	DEVMAP_DEVICE_NULL_CREATE,
+	DEVMAP_DEVICE_NULL_DESTROY,
+	DEVMAP_DEVICE_GET_COUNT,
+	DEVMAP_DEVICE_GET_DEVICES
 } devmap_request_t;
 
Index: uspace/lib/libc/include/ipc/services.h
===================================================================
--- uspace/lib/libc/include/ipc/services.h	(revision eacb957f6c30d6c807f9a5ca0a3e535e59262c52)
+++ uspace/lib/libc/include/ipc/services.h	(revision 245e8399f3d58ad45fc1730f6b948b33ae3ab8df)
@@ -41,4 +41,5 @@
 	SERVICE_LOAD = 1,
 	SERVICE_PCI,
+	SERVICE_KEYBOARD,
 	SERVICE_VIDEO,
 	SERVICE_CONSOLE,
@@ -46,6 +47,5 @@
 	SERVICE_DEVMAP,
 	SERVICE_FHC,
-	SERVICE_OBIO,
-	SERVICE_CLIPBOARD
+	SERVICE_OBIO
 } services_t;
 
Index: uspace/lib/libc/include/string.h
===================================================================
--- uspace/lib/libc/include/string.h	(revision eacb957f6c30d6c807f9a5ca0a3e535e59262c52)
+++ uspace/lib/libc/include/string.h	(revision 245e8399f3d58ad45fc1730f6b948b33ae3ab8df)
@@ -73,7 +73,5 @@
 extern void str_append(char *dest, size_t size, const char *src);
 
-extern void wstr_to_str(char *dest, size_t size, const wchar_t *src);
-extern char *wstr_to_astr(const wchar_t *src);
-extern void str_to_wstr(wchar_t *dest, size_t dlen, const char *src);
+extern void wstr_nstr(char *dst, const wchar_t *src, size_t size);
 
 extern char *str_chr(const char *str, wchar_t ch);
@@ -84,5 +82,4 @@
 
 extern char *str_dup(const char *);
-extern char *str_ndup(const char *, size_t max_size);
 
 /*
Index: uspace/lib/libc/include/sys/stat.h
===================================================================
--- uspace/lib/libc/include/sys/stat.h	(revision eacb957f6c30d6c807f9a5ca0a3e535e59262c52)
+++ uspace/lib/libc/include/sys/stat.h	(revision 245e8399f3d58ad45fc1730f6b948b33ae3ab8df)
@@ -42,12 +42,15 @@
 
 struct stat {
-	fs_handle_t fs_handle;
-	dev_handle_t dev_handle;
-	fs_index_t index;
-	unsigned int lnkcnt;
-	bool is_file;
-	bool is_directory;
-	off_t size;
-	dev_handle_t device;
+	fs_handle_t	fs_handle;
+	dev_handle_t	dev_handle;
+	fs_index_t	index;
+	unsigned	lnkcnt;
+	bool		is_file;
+	off_t		size;
+	union {
+		struct {
+			dev_handle_t	device;
+		} devfs_stat;
+	};
 };
 
Index: uspace/lib/libc/include/unistd.h
===================================================================
--- uspace/lib/libc/include/unistd.h	(revision eacb957f6c30d6c807f9a5ca0a3e535e59262c52)
+++ uspace/lib/libc/include/unistd.h	(revision 245e8399f3d58ad45fc1730f6b948b33ae3ab8df)
@@ -51,6 +51,4 @@
 #endif
 
-typedef uint32_t useconds_t;
-
 extern int dup2(int oldfd, int newfd);
 
@@ -70,6 +68,6 @@
 
 extern void _exit(int status) __attribute__ ((noreturn));
-extern int usleep(useconds_t uses);
-extern unsigned int sleep(unsigned int se);
+extern int usleep(unsigned long usec);
+extern unsigned int sleep(unsigned int seconds);
 
 #endif
Index: uspace/lib/libfs/libfs.c
===================================================================
--- uspace/lib/libfs/libfs.c	(revision eacb957f6c30d6c807f9a5ca0a3e535e59262c52)
+++ uspace/lib/libfs/libfs.c	(revision 245e8399f3d58ad45fc1730f6b948b33ae3ab8df)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2009 Jakub Jermar
+ * Copyright (c) 2009 Jakub Jermar 
  * All rights reserved.
  *
@@ -27,13 +27,13 @@
  */
 
-/** @addtogroup libfs
+/** @addtogroup libfs 
  * @{
- */
+ */ 
 /**
  * @file
- * Glue code which is common to all FS implementations.
+ * Glue code which is commonod to all FS implementations. 
  */
 
-#include "libfs.h"
+#include "libfs.h" 
 #include "../../srv/vfs/vfs.h"
 #include <errno.h>
@@ -67,14 +67,13 @@
  * code.
  *
- * @param vfs_phone Open phone for communication with VFS.
- * @param reg       File system registration structure. It will be
- *                  initialized by this function.
- * @param info      VFS info structure supplied by the file system
- *                  implementation.
- * @param conn      Connection fibril for handling all calls originating in
- *                  VFS.
- *
- * @return EOK on success or a non-zero error code on errror.
- *
+ * @param vfs_phone	Open phone for communication with VFS.
+ * @param reg		File system registration structure. It will be
+ * 			initialized by this function.
+ * @param info		VFS info structure supplied by the file system
+ *			implementation.
+ * @param conn		Connection fibril for handling all calls originating in
+ *			VFS.
+ *
+ * @return		EOK on success or a non-zero error code on errror.
  */
 int fs_register(int vfs_phone, fs_reg_t *reg, vfs_info_t *info,
@@ -88,5 +87,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_0(vfs_phone, VFS_IN_REGISTER, &answer);
-	
+
 	/*
 	 * Send our VFS info structure to VFS.
@@ -97,10 +96,10 @@
 		return rc;
 	}
-	
+
 	/*
 	 * Ask VFS for callback connection.
 	 */
 	ipc_connect_to_me(vfs_phone, 0, 0, 0, &reg->vfs_phonehash);
-	
+
 	/*
 	 * Allocate piece of address space for PLB.
@@ -111,5 +110,5 @@
 		return ENOMEM;
 	}
-	
+
 	/*
 	 * Request sharing the Path Lookup Buffer with VFS.
@@ -137,5 +136,5 @@
 	 */
 	async_set_client_connection(conn);
-	
+
 	return IPC_GET_RETVAL(answer);
 }
@@ -155,20 +154,18 @@
 	int res;
 	ipcarg_t rc;
-	
+
 	ipc_call_t call;
 	ipc_callid_t callid;
-	
-	/* Accept the phone */
+
+	/* accept the phone */
 	callid = async_get_call(&call);
 	int mountee_phone = (int)IPC_GET_ARG1(call);
 	if ((IPC_GET_METHOD(call) != IPC_M_CONNECTION_CLONE) ||
-	    (mountee_phone < 0)) {
+	    mountee_phone < 0) {
 		ipc_answer_0(callid, EINVAL);
 		ipc_answer_0(rid, EINVAL);
 		return;
 	}
-	
-	/* Acknowledge the mountee_phone */
-	ipc_answer_0(callid, EOK);
+	ipc_answer_0(callid, EOK);	/* acknowledge the mountee_phone */
 	
 	res = async_data_write_receive(&callid, NULL);
@@ -179,8 +176,8 @@
 		return;
 	}
-	
+
 	fs_node_t *fn;
 	res = ops->node_get(&fn, mp_dev_handle, mp_fs_index);
-	if ((res != EOK) || (!fn)) {
+	if (res != EOK || !fn) {
 		ipc_hangup(mountee_phone);
 		ipc_answer_0(callid, combine_rc(res, ENOENT));
@@ -188,5 +185,5 @@
 		return;
 	}
-	
+
 	if (fn->mp_data.mp_active) {
 		ipc_hangup(mountee_phone);
@@ -196,5 +193,5 @@
 		return;
 	}
-	
+
 	rc = async_req_0_0(mountee_phone, IPC_M_CONNECT_ME);
 	if (rc != EOK) {
@@ -218,5 +215,4 @@
 		fn->mp_data.phone = mountee_phone;
 	}
-	
 	/*
 	 * Do not release the FS node so that it stays in memory.
@@ -242,24 +238,24 @@
     ipc_call_t *request)
 {
-	unsigned int first = IPC_GET_ARG1(*request);
-	unsigned int last = IPC_GET_ARG2(*request);
-	unsigned int next = first;
+	unsigned first = IPC_GET_ARG1(*request);
+	unsigned last = IPC_GET_ARG2(*request);
+	unsigned next = first;
 	dev_handle_t dev_handle = IPC_GET_ARG3(*request);
 	int lflag = IPC_GET_ARG4(*request);
-	fs_index_t index = IPC_GET_ARG5(*request);
+	fs_index_t index = IPC_GET_ARG5(*request); /* when L_LINK specified */
 	char component[NAME_MAX + 1];
 	int len;
 	int rc;
-	
+
 	if (last < next)
 		last += PLB_SIZE;
-	
+
 	fs_node_t *par = NULL;
 	fs_node_t *cur = NULL;
 	fs_node_t *tmp = NULL;
-	
+
 	rc = ops->root_get(&cur, dev_handle);
 	on_error(rc, goto out_with_answer);
-	
+
 	if (cur->mp_data.mp_active) {
 		ipc_forward_slow(rid, cur->mp_data.phone, VFS_OUT_LOOKUP,
@@ -269,45 +265,42 @@
 		return;
 	}
-	
-	/* Eat slash */
+
 	if (ops->plb_get_char(next) == '/')
-		next++;
+		next++;		/* eat slash */
 	
 	while (next <= last) {
 		bool has_children;
-		
+
 		rc = ops->has_children(&has_children, cur);
 		on_error(rc, goto out_with_answer);
 		if (!has_children)
 			break;
-		
-		/* Collect the component */
+
+		/* collect the component */
 		len = 0;
-		while ((next <= last) && (ops->plb_get_char(next) != '/')) {
+		while ((next <= last) &&  (ops->plb_get_char(next) != '/')) {
 			if (len + 1 == NAME_MAX) {
-				/* Component length overflow */
+				/* component length overflow */
 				ipc_answer_0(rid, ENAMETOOLONG);
 				goto out;
 			}
 			component[len++] = ops->plb_get_char(next);
-			/* Process next character */
-			next++;
+			next++;	/* process next character */
 		}
-		
+
 		assert(len);
 		component[len] = '\0';
-		/* Eat slash */
-		next++;
-		
-		/* Match the component */
+		next++;		/* eat slash */
+
+		/* match the component */
 		rc = ops->match(&tmp, cur, component);
 		on_error(rc, goto out_with_answer);
-		
-		if ((tmp) && (tmp->mp_data.mp_active)) {
+
+		if (tmp && tmp->mp_data.mp_active) {
 			if (next > last)
 				next = last = first;
 			else
 				next--;
-			
+				
 			ipc_forward_slow(rid, tmp->mp_data.phone,
 			    VFS_OUT_LOOKUP, next, last, tmp->mp_data.dev_handle,
@@ -319,21 +312,19 @@
 			return;
 		}
-		
-		/* Handle miss: match amongst siblings */
+
+		/* handle miss: match amongst siblings */
 		if (!tmp) {
 			if (next <= last) {
-				/* There are unprocessed components */
+				/* there are unprocessed components */
 				ipc_answer_0(rid, ENOENT);
 				goto out;
 			}
-			
-			/* Miss in the last component */
-			if (lflag & (L_CREATE | L_LINK)) {
-				/* Request to create a new link */
+			/* miss in the last component */
+			if (lflag & (L_CREATE | L_LINK)) { 
+				/* request to create a new link */
 				if (!ops->is_directory(cur)) {
 					ipc_answer_0(rid, ENOTDIR);
 					goto out;
 				}
-				
 				fs_node_t *fn;
 				if (lflag & L_CREATE)
@@ -344,5 +335,4 @@
 					    index);
 				on_error(rc, goto out_with_answer);
-				
 				if (fn) {
 					rc = ops->link(cur, fn, component);
@@ -359,34 +349,33 @@
 						(void) ops->node_put(fn);
 					}
-				} else
+				} else {
 					ipc_answer_0(rid, ENOSPC);
-				
+				}
 				goto out;
-			}
-			
+			} 
 			ipc_answer_0(rid, ENOENT);
 			goto out;
 		}
-		
+
 		if (par) {
 			rc = ops->node_put(par);
 			on_error(rc, goto out_with_answer);
 		}
-		
-		/* Descend one level */
+
+		/* descend one level */
 		par = cur;
 		cur = tmp;
 		tmp = NULL;
 	}
-	
-	/* Handle miss: excessive components */
+
+	/* handle miss: excessive components */
 	if (next <= last) {
 		bool has_children;
+
 		rc = ops->has_children(&has_children, cur);
 		on_error(rc, goto out_with_answer);
-		
 		if (has_children)
 			goto skip_miss;
-		
+
 		if (lflag & (L_CREATE | L_LINK)) {
 			if (!ops->is_directory(cur)) {
@@ -394,28 +383,24 @@
 				goto out;
 			}
-			
-			/* Collect next component */
+
+			/* collect next component */
 			len = 0;
 			while (next <= last) {
 				if (ops->plb_get_char(next) == '/') {
-					/* More than one component */
+					/* more than one component */
 					ipc_answer_0(rid, ENOENT);
 					goto out;
 				}
-				
 				if (len + 1 == NAME_MAX) {
-					/* Component length overflow */
+					/* component length overflow */
 					ipc_answer_0(rid, ENAMETOOLONG);
 					goto out;
 				}
-				
 				component[len++] = ops->plb_get_char(next);
-				/* Process next character */
-				next++;
+				next++;	/* process next character */
 			}
-			
 			assert(len);
 			component[len] = '\0';
-			
+				
 			fs_node_t *fn;
 			if (lflag & L_CREATE)
@@ -424,5 +409,4 @@
 				rc = ops->node_get(&fn, dev_handle, index);
 			on_error(rc, goto out_with_answer);
-			
 			if (fn) {
 				rc = ops->link(cur, fn, component);
@@ -439,25 +423,22 @@
 					(void) ops->node_put(fn);
 				}
-			} else
+			} else {
 				ipc_answer_0(rid, ENOSPC);
-			
+			}
 			goto out;
 		}
-		
 		ipc_answer_0(rid, ENOENT);
 		goto out;
 	}
-	
 skip_miss:
-	
-	/* Handle hit */
+
+	/* handle hit */
 	if (lflag & L_UNLINK) {
-		unsigned int old_lnkcnt = ops->lnkcnt_get(cur);
+		unsigned old_lnkcnt = ops->lnkcnt_get(cur);
 		rc = ops->unlink(par, cur, component);
-		ipc_answer_5(rid, (ipcarg_t) rc, fs_handle, dev_handle,
+		ipc_answer_5(rid, (ipcarg_t)rc, fs_handle, dev_handle,
 		    ops->index_get(cur), ops->size_get(cur), old_lnkcnt);
 		goto out;
 	}
-	
 	if (((lflag & (L_CREATE | L_EXCLUSIVE)) == (L_CREATE | L_EXCLUSIVE)) ||
 	    (lflag & L_LINK)) {
@@ -465,35 +446,27 @@
 		goto out;
 	}
-	
 	if ((lflag & L_FILE) && (ops->is_directory(cur))) {
 		ipc_answer_0(rid, EISDIR);
 		goto out;
 	}
-	
 	if ((lflag & L_DIRECTORY) && (ops->is_file(cur))) {
 		ipc_answer_0(rid, ENOTDIR);
 		goto out;
 	}
-	
+
 out_with_answer:
-	
 	if (rc == EOK) {
-		if (lflag & L_OPEN)
-			rc = ops->node_open(cur);
-		
-		ipc_answer_5(rid, rc, fs_handle, dev_handle,
+		ipc_answer_5(rid, EOK, fs_handle, dev_handle,
 		    ops->index_get(cur), ops->size_get(cur),
 		    ops->lnkcnt_get(cur));
-	} else
+	} else {
 		ipc_answer_0(rid, rc);
-	
+	}
+
 out:
-	
 	if (par)
 		(void) ops->node_put(par);
-	
 	if (cur)
 		(void) ops->node_put(cur);
-	
 	if (tmp)
 		(void) ops->node_put(tmp);
@@ -505,19 +478,19 @@
 	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
-	
 	fs_node_t *fn;
-	int rc = ops->node_get(&fn, dev_handle, index);
+	int rc;
+
+	rc = ops->node_get(&fn, dev_handle, index);
 	on_error(rc, answer_and_return(rid, rc));
-	
+
 	ipc_callid_t callid;
 	size_t size;
-	if ((!async_data_read_receive(&callid, &size)) ||
-	    (size != sizeof(struct stat))) {
-		ops->node_put(fn);
+	if (!async_data_read_receive(&callid, &size) ||
+	    size != sizeof(struct stat)) {
 		ipc_answer_0(callid, EINVAL);
 		ipc_answer_0(rid, EINVAL);
 		return;
 	}
-	
+
 	struct stat stat;
 	memset(&stat, 0, sizeof(struct stat));
@@ -526,12 +499,8 @@
 	stat.dev_handle = dev_handle;
 	stat.index = index;
-	stat.lnkcnt = ops->lnkcnt_get(fn);
+	stat.lnkcnt = ops->lnkcnt_get(fn); 
 	stat.is_file = ops->is_file(fn);
-	stat.is_directory = ops->is_directory(fn);
 	stat.size = ops->size_get(fn);
-	stat.device = ops->device_get(fn);
-	
-	ops->node_put(fn);
-	
+
 	async_data_read_finalize(callid, &stat, sizeof(struct stat));
 	ipc_answer_0(rid, EOK);
@@ -540,8 +509,8 @@
 /** Open VFS triplet.
  *
- * @param ops     libfs operations structure with function pointers to
- *                file system implementation
- * @param rid     Request ID of the VFS_OUT_OPEN_NODE request.
- * @param request VFS_OUT_OPEN_NODE request data itself.
+ * @param ops       libfs operations structure with function pointers to
+ *                  file system implementation
+ * @param rid       Request ID of the VFS_OUT_OPEN_NODE request.
+ * @param request   VFS_OUT_OPEN_NODE request data itself.
  *
  */
@@ -562,6 +531,5 @@
 	}
 	
-	rc = ops->node_open(fn);
-	ipc_answer_3(rid, rc, ops->size_get(fn), ops->lnkcnt_get(fn),
+	ipc_answer_3(rid, EOK, ops->size_get(fn), ops->lnkcnt_get(fn),
 	    (ops->is_file(fn) ? L_FILE : 0) | (ops->is_directory(fn) ? L_DIRECTORY : 0));
 	
Index: uspace/lib/libfs/libfs.h
===================================================================
--- uspace/lib/libfs/libfs.h	(revision eacb957f6c30d6c807f9a5ca0a3e535e59262c52)
+++ uspace/lib/libfs/libfs.h	(revision 245e8399f3d58ad45fc1730f6b948b33ae3ab8df)
@@ -64,5 +64,4 @@
 	int (* match)(fs_node_t **, fs_node_t *, const char *);
 	int (* node_get)(fs_node_t **, dev_handle_t, fs_index_t);
-	int (* node_open)(fs_node_t *);
 	int (* node_put)(fs_node_t *);
 	int (* create)(fs_node_t **, dev_handle_t, int);
@@ -77,9 +76,8 @@
 	fs_index_t (* index_get)(fs_node_t *);
 	size_t (* size_get)(fs_node_t *);
-	unsigned int (* lnkcnt_get)(fs_node_t *);
+	unsigned (* lnkcnt_get)(fs_node_t *);
 	char (* plb_get_char)(unsigned pos);
 	bool (* is_directory)(fs_node_t *);
 	bool (* is_file)(fs_node_t *);
-	dev_handle_t (* device_get)(fs_node_t *);
 } libfs_ops_t;
 
Index: uspace/srv/bd/ata_bd/ata_bd.c
===================================================================
--- uspace/srv/bd/ata_bd/ata_bd.c	(revision eacb957f6c30d6c807f9a5ca0a3e535e59262c52)
+++ uspace/srv/bd/ata_bd/ata_bd.c	(revision 245e8399f3d58ad45fc1730f6b948b33ae3ab8df)
@@ -55,5 +55,5 @@
 #include <async.h>
 #include <as.h>
-#include <fibril_synch.h>
+#include <fibril_sync.h>
 #include <string.h>
 #include <devmap.h>
@@ -66,6 +66,5 @@
 #include "ata_bd.h"
 
-#define NAME       "ata_bd"
-#define NAMESPACE  "bd"
+#define NAME "ata_bd"
 
 /** Physical block size. Should be always 512. */
@@ -136,10 +135,11 @@
 		if (disk[i].present == false)
 			continue;
-		
-		snprintf(name, 16, "%s/disk%d", NAMESPACE, i);
+
+		snprintf(name, 16, "disk%d", i);
 		rc = devmap_device_register(name, &disk[i].dev_handle);
 		if (rc != EOK) {
 			devmap_hangup_phone(DEVMAP_DRIVER);
-			printf(NAME ": Unable to register device %s.\n", name);
+			printf(NAME ": Unable to register device %s.\n",
+				name);
 			return rc;
 		}
Index: uspace/srv/bd/ata_bd/ata_bd.h
===================================================================
--- uspace/srv/bd/ata_bd/ata_bd.h	(revision eacb957f6c30d6c807f9a5ca0a3e535e59262c52)
+++ uspace/srv/bd/ata_bd/ata_bd.h	(revision 245e8399f3d58ad45fc1730f6b948b33ae3ab8df)
@@ -37,14 +37,14 @@
 
 #include <sys/types.h>
-#include <fibril_synch.h>
+#include <fibril_sync.h>
 #include <string.h>
 
 enum {
-	CTL_READ_START  = 0,
+	CTL_READ_START	= 0,
 	CTL_WRITE_START = 1,
 };
 
 enum {
-	STATUS_FAILURE = 0
+	STATUS_FAILURE	= 0
 };
 
Index: uspace/srv/bd/file_bd/file_bd.c
===================================================================
--- uspace/srv/bd/file_bd/file_bd.c	(revision eacb957f6c30d6c807f9a5ca0a3e535e59262c52)
+++ uspace/srv/bd/file_bd/file_bd.c	(revision 245e8399f3d58ad45fc1730f6b948b33ae3ab8df)
@@ -45,5 +45,5 @@
 #include <async.h>
 #include <as.h>
-#include <fibril_synch.h>
+#include <fibril_sync.h>
 #include <devmap.h>
 #include <sys/types.h>
Index: uspace/srv/bd/gxe_bd/gxe_bd.c
===================================================================
--- uspace/srv/bd/gxe_bd/gxe_bd.c	(revision eacb957f6c30d6c807f9a5ca0a3e535e59262c52)
+++ uspace/srv/bd/gxe_bd/gxe_bd.c	(revision 245e8399f3d58ad45fc1730f6b948b33ae3ab8df)
@@ -43,5 +43,5 @@
 #include <async.h>
 #include <as.h>
-#include <fibril_synch.h>
+#include <fibril_sync.h>
 #include <devmap.h>
 #include <sys/types.h>
@@ -50,6 +50,5 @@
 #include <task.h>
 
-#define NAME       "gxe_bd"
-#define NAMESPACE  "bd"
+#define NAME "gxe_bd"
 
 enum {
@@ -142,9 +141,10 @@
 
 	for (i = 0; i < MAX_DISKS; i++) {
-		snprintf(name, 16, "%s/disk%d", NAMESPACE, i);
+		snprintf(name, 16, "disk%d", i);
 		rc = devmap_device_register(name, &dev_handle[i]);
 		if (rc != EOK) {
 			devmap_hangup_phone(DEVMAP_DRIVER);
-			printf(NAME ": Unable to register device %s.\n", name);
+			printf(NAME ": Unable to register device %s.\n",
+				name);
 			return rc;
 		}
Index: uspace/srv/bd/rd/rd.c
===================================================================
--- uspace/srv/bd/rd/rd.c	(revision eacb957f6c30d6c807f9a5ca0a3e535e59262c52)
+++ uspace/srv/bd/rd/rd.c	(revision 245e8399f3d58ad45fc1730f6b948b33ae3ab8df)
@@ -51,5 +51,5 @@
 #include <align.h>
 #include <async.h>
-#include <fibril_synch.h>
+#include <fibril_sync.h>
 #include <stdio.h>
 #include <devmap.h>
@@ -228,5 +228,5 @@
 	
 	dev_handle_t dev_handle;
-	if (devmap_device_register("bd/initrd", &dev_handle) != EOK) {
+	if (devmap_device_register("initrd", &dev_handle) != EOK) {
 		devmap_hangup_phone(DEVMAP_DRIVER);
 		printf(NAME ": Unable to register device\n");
Index: uspace/srv/console/console.c
===================================================================
--- uspace/srv/console/console.c	(revision eacb957f6c30d6c807f9a5ca0a3e535e59262c52)
+++ uspace/srv/console/console.c	(revision 245e8399f3d58ad45fc1730f6b948b33ae3ab8df)
@@ -50,7 +50,5 @@
 #include <event.h>
 #include <devmap.h>
-#include <fcntl.h>
-#include <vfs/vfs.h>
-#include <fibril_synch.h>
+#include <fibril_sync.h>
 
 #include "console.h"
@@ -59,6 +57,7 @@
 #include "screenbuffer.h"
 
-#define NAME       "console"
-#define NAMESPACE  "term"
+#define NAME  "console"
+
+#define MAX_DEVICE_NAME  32
 
 /** Phone to the keyboard driver. */
@@ -70,5 +69,5 @@
 	ipcarg_t cols;  /**< Framebuffer columns */
 	ipcarg_t rows;  /**< Framebuffer rows */
-	int color_cap;  /**< Color capabilities (FB_CCAP_xxx) */
+	int color_cap;	/**< Color capabilities (FB_CCAP_xxx) */
 } fb_info;
 
@@ -602,8 +601,4 @@
 				    IPC_GET_ARG2(call));
 			break;
-		case CONSOLE_GET_POS:
-			arg1 = cons->scr.position_x;
-			arg2 = cons->scr.position_y;
-			break;
 		case CONSOLE_GET_SIZE:
 			arg1 = fb_info.cols;
@@ -667,23 +662,18 @@
 }
 
-static bool console_init(char *input)
-{
-	/* Connect to input device */
-	int input_fd = open(input, O_RDONLY);
-	if (input_fd < 0) {
-		printf(NAME ": Failed opening %s\n", input);
+static bool console_init(void)
+{
+	ipcarg_t color_cap;
+
+	/* Connect to keyboard driver */
+	kbd_phone = ipc_connect_me_to_blocking(PHONE_NS, SERVICE_KEYBOARD, 0, 0);
+	if (kbd_phone < 0) {
+		printf(NAME ": Failed to connect to keyboard service\n");
 		return false;
 	}
 	
-	kbd_phone = fd_phone(input_fd);
-	if (kbd_phone < 0) {
-		printf(NAME ": Failed to connect to input device\n");
-		return false;
-	}
-	
-	/* NB: The callback connection is slotted for removal */
 	ipcarg_t phonehash;
 	if (ipc_connect_to_me(kbd_phone, SERVICE_CONSOLE, 0, 0, &phonehash) != 0) {
-		printf(NAME ": Failed to create callback from input device\n");
+		printf(NAME ": Failed to create callback from keyboard service\n");
 		return false;
 	}
@@ -709,5 +699,4 @@
 	
 	/* Synchronize, the gcons could put something in queue */
-	ipcarg_t color_cap;
 	async_req_0_0(fb_info.phone, FB_FLUSH);
 	async_req_0_2(fb_info.phone, FB_GET_CSIZE, &fb_info.cols, &fb_info.rows);
@@ -747,6 +736,6 @@
 			consoles[i].refcount = 0;
 			
-			char vc[DEVMAP_NAME_MAXLEN + 1];
-			snprintf(vc, DEVMAP_NAME_MAXLEN, "%s/vc%u", NAMESPACE, i);
+			char vc[MAX_DEVICE_NAME];
+			snprintf(vc, MAX_DEVICE_NAME, "vc%u", i);
 			
 			if (devmap_device_register(vc, &consoles[i].dev_handle) != EOK) {
@@ -779,19 +768,9 @@
 }
 
-static void usage(void)
-{
-	printf("Usage: console <input>\n");
-}
-
 int main(int argc, char *argv[])
 {
-	if (argc < 2) {
-		usage();
-		return -1;
-	}
-	
 	printf(NAME ": HelenOS Console service\n");
 	
-	if (!console_init(argv[1]))
+	if (!console_init())
 		return -1;
 	
